classification
Title: Add packages_root to sys.path for hooks
Type: Stage: resolved
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, erik.bray, tarek
Priority: normal Keywords:

Created on 2011-06-20 16:23 by erik.bray, last changed 2014-03-12 10:27 by eric.araujo. This issue is now closed.

Messages (4)
msg138737 - (view) Author: Erik Bray (erik.bray) * (Python triager) Date: 2011-06-20 16:23
I just saw issue11637 [Add cwd to sys.path for hooks] and was reminded that this would also be useful (and in fact necessary if hook code is in a package that's under some root other than cwd).

On a related matter, the current use of Distribution.package_dir is confusing.  Sometimes it's assumed to be a string, though in other parts of the code it's assumed to be a dict to support multiple package dirs--something which I thought was going away.
msg138746 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-20 18:50
+1.

About packages_root usage: please file another bug.  I think new code to deal with packages_root was added, but internally packages_dir was not cleaned up.  Another problem is that these arguments affect all modules, not only packages, and are thus misnamed.
msg138748 - (view) Author: Erik Bray (erik.bray) * (Python triager) Date: 2011-06-20 19:21
Added issue12377 for packages_root/package_dir cleanup.
msg145951 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-10-19 20:06
I have a patch for this.
History
Date User Action Args
2014-03-12 10:27:33eric.araujosetstatus: open -> closed
resolution: out of date
stage: resolved
2011-10-19 20:06:23eric.araujosetassignee: tarek -> eric.araujo
messages: + msg145951
versions: + 3rd party
2011-06-20 19:21:16erik.braysetmessages: + msg138748
2011-06-20 18:50:47eric.araujosetmessages: + msg138746
2011-06-20 16:23:35erik.braycreate